//
//  TKResource.h
//  ThemeKit
//
//  Created by Colin Cornaby on Mon Dec 08 2003.
//  Copyright (c) 2003 Carpe Stellarem. All rights reserved.
//

#ifndef _TKResource_
#define __TKResource__

#import <Foundation/Foundation.h>
#import "TKResource.h"

@interface TKResource : NSManagedObject {
NSMutableData *myData;
NSString *resourceName;
int resID;
id delegate;
}
-(NSString *)endianness;
-(NSString *)owner;
-(NSString *)appVersion;
-(void)setAppVersion:(NSString *)appVersion;
-(void)setResourceName:(NSString *)passedName;
-(NSString *)resourceName;
-(int)resourceID;
-(void)setResourceID:(int)passedResID;
-(NSData *)resourceData;
-(void)setMetadataForKey:(id)key forValue:(id)value;
-(void)setResourceData:(NSData *)someData;
-(NSString *)humanReadableType;
-(id)delegate;
-(void)setDelegate:(id)newDelegate;
-(id)metadataForKey:(id)key;
-(void)setOriginalResourceHash:(NSData *)appVersion;
-(NSData *)originalResourceHash;

@end

#endif