//
//  TKTheme.h
//  ThemeKit
//
//  Created by Colin Cornaby on Mon Dec 08 2003.
//  Copyright (c) 2003 Carpe Stellarem. All rights reserved.
//

//  TKTheme is the newer resource based style

#import <Foundation/Foundation.h>
#import "TKPreview.h"


@interface TKTheme : NSManagedObjectContext {
	NSMutableDictionary *metadata;
}

-(void)setPreview:(TKPreview *)thePreview;
-(TKPreview *)preview;
-(id)initWithThemeFromFile:(NSString *)theFilePath;
+(id)themeWithThemeFromFile:(NSString *)theFilePath;
-(NSArray *)theVariations;
-(void)setName:(NSString *)theName;
-(NSString *)name;
-(id)addVariation:(NSString *)theName;
-(void)removeVariation:(id)theVariation;
-(id)appSkinForIdentifier:(NSString *)identifier;
-(id)addAppSkinForIdentifier:(NSString *)identifier;
-(NSArray *)appSkinsForIdentifier:(NSString *)identifier sortDescriptors:(NSArray *)sortDescriptors;
-(void)removeAppSkin:(id)appSkin;

@end
