//
//  TKVariation.h
//  ThemeKit
//
//  Created by Colin Cornaby on Sun Dec 21 2003.
//  Copyright (c) 2003 Carpe Stellarem. All rights reserved.
//

#ifndef _TKVariation_
#define __TKVariation__

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>


@interface TKVariation : NSManagedObject {
	NSMutableDictionary *idCache;
	NSData *currentKey;
}
-(id)appSkinForIdentifier:(NSString *)identifier;
-(NSArray *)appSkins;
-(void)removeAppSkin:(id)appSkin;
-(id)addAppSkin:(id)appSkin;
-(BOOL)addResourcesToAppSkinDatabase:(NSArray *)resources;
-(NSString *)name;
-(void)setName:(NSString *)theName;
-(void)setDescriptorHTML:(NSString *)htmlCode;
-(NSString *)descriptorHTML;
-(NSDictionary *)descriptorFileDictionary;
-(void)setDescriptorFileDictionary:(NSDictionary *)descriptorFileDictionary;
-(id)metadataForKey:(id)key;
-(void)setMetadataForKey:(id)key forValue:(id)value;
-(void)removeAppSkin:(id)appSkin;
-(id)addAppSkin:(id)appSkin;

@end

#endif